## libcommoncpp2 1.8.1

=== debian/changelog ===
libcommoncpp2 (1.8.1-10) unstable; urgency=medium

  * QA upload.
  * debian/rules: Remove oddly named manpages with little
    content. (Closes: #857380)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Sun, 27 Dec 2020 01:32:27 -0800

libcommoncpp2 (1.8.1-9) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.

  [ Vagrant Cascadian ]
  * debian/rules: Remove example Makefile. (Closes: #978407)
  * debian/control: Update Vcs headers.
  * debian/rules: Rename manpages based on build paths. (Closes: #978408)
  * libcommoncpp2-doc: Refresh lintian overrides.
  * debian/control: Set Rules-Requires-Root to "no".
  * debian/control: Update to debhelper-compat 13.
  * debian/rules: Remove --list-missing argument from dh_install.
  * Fix installation of commoncpp2.info
  * debian/control: Update Standards-Version to 4.5.1.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Sat, 26 Dec 2020 19:01:39 -0800

libcommoncpp2 (1.8.1-8) unstable; urgency=medium

  * QA upload.
  * Fix ftbfs with gcc-9. (Closes: #925739)
  * Update Standards-Version to 4.4.1

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 28 Dec 2019 00:36:16 +0000

libcommoncpp2 (1.8.1-7) unstable; urgency=medium

  * QA upload.
  * Use debhelper v11
  * Remove dh options which are no longer needed
  * Remove unused (build-)dependencies: gnutls/gcrypt.
    Thanks to Andreas Metzler <ametzler@debian.org> (Closes: #864086, #912025)
  * Update Vcs-* URLs to salsa.d.o
  * Drop package libcommoncpp2-dbg and use automatic dbgsym migration
  * Use Multi-Arch: foreign for libcommoncpp2-doc
  * Update doc-base paths
  * Remove unneeded Build-Depends: autotools-dev

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 31 Oct 2018 15:33:26 +0100

libcommoncpp2 (1.8.1-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++5 ABI transition (closes: 791107).

 -- Julien Cristau <jcristau@debian.org>  Sun, 16 Aug 2015 17:39:25 +0200

libcommoncpp2 (1.8.1-6) unstable; urgency=low

  * Hardcode Build-Depends: libgnutls28-dev
    - Fixes "twinkle: indirectly depends on multiple gnutls, ucommon
    versions" (Closes: #725020)
  * Update Vcs:
  * Update Standards Version: 3.9.5
  * Build --with autotools_dev to update config.{sub,guess} for arm64.
    - Thanks William Grant <wgrant@ubuntu.com>
    - Fixes "update config.{sub,guess} for the AArch64 port" (Closes: #727400)
  * Apply inaddr.patch from Tristan Matthews
    - Fixes "crash from buffer overflow" (Closes: #693471)

 -- Mark Purcell <msp@debian.org>  Sun, 29 Dec 2013 14:49:30 +1100

libcommoncpp2 (1.8.1-5) unstable; urgency=low

  * wheezey polish

  * Update Standards Version 3.9.3
  * debian/compat -> 9 hardening and multiarch
  * Added spelling-error-in-manpage.patch
  * minor lintian cleanups

 -- Mark Purcell <msp@debian.org>  Sat, 23 Jun 2012 16:02:03 +1000

libcommoncpp2 (1.8.1-4) unstable; urgency=low

  * Fix "FTBFS on kfreebsd-*: sys/kern/types.h:87:17: error: expected
    unqualified-id before 'char'" patch from Robert Millan
    (Closes: #673530)

 -- Mark Purcell <msp@debian.org>  Sat, 19 May 2012 11:03:29 +1000

libcommoncpp2 (1.8.1-3) unstable; urgency=low

  * source/format -> 3.0 quilt
  * Switch to dh - drop cdbs/ dpatch
  * Fix gcc-4.7 FTBFS debian/patches/applog-inc-fcntl.patch
  * Fix "Getting rid of unneeded *.la / emptying dependency_libs"
    added overide_dh_install (Closes: #633280)
  * Fix "overwriting const argument in cidr::set" patch from Stefan Potyra
    (Closes: #547352)

 -- Mark Purcell <msp@debian.org>  Sat, 19 May 2012 10:40:33 +1000

libcommoncpp2 (1.8.1-2) unstable; urgency=low

  * Upload to unstable - coordinated through debian-release

 -- Mark Purcell <msp@debian.org>  Tue, 15 May 2012 08:16:35 +1000

libcommoncpp2 (1.8.1-1) experimental; urgency=low

  * New upstream release
  * Drop cstdlib_sparc.dpatch - included upstream

 -- Mark Purcell <msp@debian.org>  Sat, 29 Jan 2011 18:05:27 +1100

libcommoncpp2 (1.8.0-1) experimental; urgency=low

  * New upstream release
  * NEW package libccgnu2-1.8-0 soname-match
  * NEW Package libcommoncpp2-dbg (Closes: #532780)

  [ Kilian Krause ]
  * Remove -N from wget args in get-orig-source target as -O is already
    used.

  [ Mark Purcell ]
  * Removed const_cast_conversion.dpatch included upstream
  * Lintian cleanups:
    - patch-system-but-no-source-readme
    - duplicate-long-description
    - copyright-with-old-dh-make-debian-copyright (Closes: #532784)
    - out-of-date-standards-version

 -- Mark Purcell <msp@debian.org>  Sun, 07 Mar 2010 04:15:23 +1100

libcommoncpp2 (1.7.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS due to invalid constant string to char* conversion in
    src/cidr.cpp (added const_cast_conversion.dpatch) (Closes: #560463)

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 01 Feb 2010 15:16:29 +0100

libcommoncpp2 (1.7.3-1) unstable; urgency=low

  * New upstream release
  * Bump debian/compat -> 7
  * Remove (c) -fixes:copyright-with-old-dh-make-debian-copyright
  * Update debian/rules help2man -> debian/libcommoncpp2-dev.manpages

 -- Mark Purcell <msp@debian.org>  Thu, 02 Apr 2009 22:22:50 +1100

libcommoncpp2 (1.7.1-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright

 -- Mark Purcell <msp@debian.org>  Mon, 16 Feb 2009 22:22:47 +1100

libcommoncpp2 (1.7.0-1) experimental; urgency=low

  * New upstream release
  * NEW package libccext2-1.7-0
    - fixes package-name-doesnt-match-sonames
  * debian/libcommoncpp2-doc.lintian-overrides - cover up doxygen
  * Add ${misc:Depends}

 -- Mark Purcell <msp@debian.org>  Tue, 23 Dec 2008 16:36:07 +1100

libcommoncpp2 (1.6.3-1) experimental; urgency=low

  * New Upstream Release

  [ Patrick Matthäi ]
  * Bumped to Standards-Version 3.8.0.


