=== debian/watch ===
version=2
# Site		Directory		Pattern			Version	Script
https://ftp.gnu.org/pub/gnu/commonc++/	commoncpp2-([\d\.]*)\.tar\.gz	debian  svn-upgrade
